Returns simplified time entries.

GEThttps://api.awork.com/api/v1/timeentries/simplified
GET https://api.awork.com/api/v1/timeentries/simplified

Returns simplified time entries grouped by the requested property when one is supplied.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

groupingstringOptional

The grouping type.

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the time tracking.

durationinteger or nullOptional
format: int32

The duration of the time tracking in seconds. Required when the time tracking has already been completed and EndTime has not been set.

startDateUtcstring or nullOptional
format: date-time

The date (in UTC) when the time tracking was started. Required.

startDateLocalstring or nullOptional
format: date-time

The date (in Local) when the time tracking was started. Required.

isBillablebooleanOptional

Whether the time tracking is billable or not.

isBilledbooleanOptional

Whether the time tracking is billed or not.

createdBystringOptional
format: uuid

The id of the user who created this time tracking.

createdOnstringOptional
format: date-time

The date of the creation of this time tracking.

taskobjectOptional
Show 12 properties
idstringOptional
format: uuid
namestring or nullOptional
baseTypestring or nullOptional
createdBystringOptional
format: uuid
entityIdstringOptional
format: uuid
projectIdstring or nullOptional
format: uuid
correlationIdstringOptional
format: uuid
parentIdstring or nullOptional
format: uuid
taskStatusIdstringOptional
format: uuid
taskStatusobjectOptional
Show 6 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

descriptionstring or nullOptional

The description of the type.

typestring or nullOptional

The type of the status.

ordernumber or nullOptional
format: double

The order of the task status in a task.

iconstring or nullOptional

The icon of the task status in a task.

primaryTaskListIdstring or nullOptional
format: uuid
primaryTaskListobjectOptional
Show 2 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

taskIdstring or nullOptional
format: uuid

The id of the task.

projectobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

hasImagebooleanOptional
companyobjectOptional
Show 2 properties
idstringOptional
format: uuid

The identifier of the nested model.

hasImagebooleanOptional
projectIdstring or nullOptional
format: uuid

The id of the project.

userobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

userIdstring or nullOptional
format: uuid

The id of the user.

typeOfWorkobjectOptional
Show 3 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

iconstring or nullOptional

The icon of the type.

typeOfWorkIdstring or nullOptional
format: uuid

The id of the type of work.

startTimeLocalstring or nullOptional

The time (in Local) when the time tracking was started.

Search documentation